NavigatePanel (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Class NavigatePanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.bbn.openmap.gui.OMComponentPanel
                          com.bbn.openmap.gui.OMToolComponent
                              com.bbn.openmap.gui.NavigatePanel

All Implemented Interfaces:
  Tool, LightMapHandlerChild, PropertyConsumer, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class NavigatePanel

extends OMToolComponent
implements java.io.Serializable, java.awt.event.ActionListener

A Navigation Rosette Bean. This bean is a source for PanEvents and CenterEvents.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JButton` | `cButton`
`static java.lang.String` | `centerCmd`
`protected CenterSupport` | `centerDelegate`
`protected static java.lang.String` | `cName`
`protected float` | `defaultCenterLat`
`protected float` | `defaultCenterLon`
`static java.lang.String` | `defaultKey`
`protected javax.swing.JButton` | `eButton`
`protected static java.lang.String` | `eName`
`protected javax.swing.JButton` | `nButton`
`protected javax.swing.JButton` | `neButton`
`protected static java.lang.String` | `neName`
`protected static java.lang.String` | `nName`
`protected javax.swing.JButton` | `nwButton`
`protected static java.lang.String` | `nwName`
`protected PanSupport` | `panDelegate`
`static java.lang.String` | `panECmd`
`protected float` | `panFactor`
`static java.lang.String` | `panNCmd`
`static java.lang.String` | `panNECmd`
`static java.lang.String` | `panNWCmd`
`static java.lang.String` | `panSCmd`
`static java.lang.String` | `panSECmd`
`static java.lang.String` | `panSWCmd`
`static java.lang.String` | `panWCmd`
`protected javax.swing.JButton` | `sButton`
`protected javax.swing.JButton` | `seButton`
`protected static java.lang.String` | `seName`
`protected static java.lang.String` | `sName`
`protected javax.swing.JButton` | `swButton`
`protected static java.lang.String` | `swName`
`protected boolean` | `useDefaultCenter`
`protected boolean` | `useTips`
`protected javax.swing.JButton` | `wButton`
`protected static java.lang.String` | `wName`

Fields inherited from class com.bbn.openmap.gui.OMToolComponent
`c, gridbag, key, useAsTool, UseAsToolProperty`

Fields inherited from class com.bbn.openmap.gui.OMComponentPanel
`beanContextChildSupport, i18n, isolated, orientation, propertyPrefix, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NavigatePanel()` Construct the NavigationPanel.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` ActionListener Interface.
`void` | `addCenterListener(CenterListener listener)` Add a CenterListener.
`void` | `addPanListener(PanListener listener)` Add a PanListener.
`void` | `findAndInit(java.lang.Object obj)`
`void` | `findAndUndo(java.lang.Object obj)`
`protected void` | `fireCenterEvent(float lat, float lon)` Fire a CenterEvent.
`protected void` | `firePanEvent(float az)` Fire a PanEvent.
`protected javax.swing.JButton` | `getButton(java.lang.String name, java.lang.String info, java.lang.String command)` Add the named button to the panel.
`float` | `getPanFactor()` Get the pan factor.
`void` | `removeCenterListener(CenterListener listener)` Remove a CenterListener
`void` | `removePanListener(PanListener listener)` Remove a PanListener
`void` | `setDefaultCenter(float passedLat, float passedLon)` Use this function to set where you want the map projection to pan to when the user clicks on "center" button on the navigation panel.
`void` | `setPanFactor(float panFactor)` Set the pan factor.

Methods inherited from class com.bbn.openmap.gui.OMToolComponent
`add, createLayout, getFace, getGridBagConstraints, getKey, getProperties, getPropertyInfo, getUseAsTool, setKey, setProperties, setUseAsTool`

Methods inherited from class com.bbn.openmap.gui.OMComponentPanel
`addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, fireVetoableChange, getBeanContext, getOrientation, getPropertyPrefix, getWindowSupport, isIsolated, removeVetoableChangeListener, setBeanContext, setIsolated, setOrientation, setProperties, setPropertyPrefix, setWindowSupport`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.gui.Tool
`getOrientation, setOrientation`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### panNWCmd

    public static final java.lang.String panNWCmd

See Also:
  Constant Field Values

### panNCmd

    public static final java.lang.String panNCmd

See Also:
  Constant Field Values

### panNECmd

    public static final java.lang.String panNECmd

See Also:
  Constant Field Values

### panECmd

    public static final java.lang.String panECmd

See Also:
  Constant Field Values

### panSECmd

    public static final java.lang.String panSECmd

See Also:
  Constant Field Values

### panSCmd

    public static final java.lang.String panSCmd

See Also:
  Constant Field Values

### panSWCmd

    public static final java.lang.String panSWCmd

See Also:
  Constant Field Values

### panWCmd

    public static final java.lang.String panWCmd

See Also:
  Constant Field Values

### centerCmd

    public static final java.lang.String centerCmd

See Also:
  Constant Field Values

### nwButton

    protected transient javax.swing.JButton nwButton

### nButton

    protected transient javax.swing.JButton nButton

### neButton

    protected transient javax.swing.JButton neButton

### eButton

    protected transient javax.swing.JButton eButton

### seButton

    protected transient javax.swing.JButton seButton

### sButton

    protected transient javax.swing.JButton sButton

### swButton

    protected transient javax.swing.JButton swButton

### wButton

    protected transient javax.swing.JButton wButton

### cButton

    protected transient javax.swing.JButton cButton

### nwName

    protected static java.lang.String nwName

### nName

    protected static java.lang.String nName

### neName

    protected static java.lang.String neName

### eName

    protected static java.lang.String eName

### seName

    protected static java.lang.String seName

### sName

    protected static java.lang.String sName

### swName

    protected static java.lang.String swName

### wName

    protected static java.lang.String wName

### cName

    protected static java.lang.String cName

### panDelegate

    protected PanSupport panDelegate

### centerDelegate

    protected CenterSupport centerDelegate

### useTips

    protected boolean useTips

### panFactor

    protected float panFactor

### useDefaultCenter

    protected boolean useDefaultCenter

### defaultCenterLat

    protected float defaultCenterLat

### defaultCenterLon

    protected float defaultCenterLon

### defaultKey

    public static final java.lang.String defaultKey

See Also:
  Constant Field Values

Constructor Detail

### NavigatePanel

    public NavigatePanel()

  Construct the NavigationPanel.

Method Detail

### getButton

    protected javax.swing.JButton getButton(java.lang.String name,
                                            java.lang.String info,
                                            java.lang.String command)

  Add the named button to the panel.

  Parameters:
    `name` - GIF image name
    `info` - ToolTip text
    `command` - String command name

### addCenterListener

    public void addCenterListener(CenterListener listener)

  Add a CenterListener.

  Parameters:
    `listener` - CenterListener

### removeCenterListener

    public void removeCenterListener(CenterListener listener)

  Remove a CenterListener

  Parameters:
    `listener` - CenterListener

### addPanListener

    public void addPanListener(PanListener listener)

  Add a PanListener.

  Parameters:
    `listener` - PanListener

### removePanListener

    public void removePanListener(PanListener listener)

  Remove a PanListener

  Parameters:
    `listener` - PanListener

### fireCenterEvent

    protected void fireCenterEvent(float lat,
                                   float lon)

  Fire a CenterEvent.

### firePanEvent

    protected void firePanEvent(float az)

  Fire a PanEvent.

  Parameters:
    `az` - azimuth east of north

### getPanFactor

    public float getPanFactor()

  Get the pan factor.

  The panFactor is the amount of screen to shift when panning in a certain direction: 0=none, 1=half-screen shift.

  Returns:
    float panFactor (0.0 <= panFactor <= 1.0)

### setPanFactor

    public void setPanFactor(float panFactor)

  Set the pan factor.

  This defaults to 1.0. The panFactor is the amount of screen to shift when panning in a certain direction: 0=none, 1=half-screen shift.

  Parameters:
    `panFactor` - (0.0 <= panFactor <= 1.0)

### setDefaultCenter

    public void setDefaultCenter(float passedLat,
                                 float passedLon)

  Use this function to set where you want the map projection to pan to when the user clicks on "center" button on the navigation panel. The scale does not change. When you call this function, the projection does not change.

  Parameters:
    `passedLat` - float the center latitude (in degrees)
    `passedLon` - float the center longitude (in degrees)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  ActionListener Interface.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - ActionEvent

### findAndInit

    public void findAndInit(java.lang.Object obj)

  Specified by:
    `findAndInit` in interface `LightMapHandlerChild`
  Overrides:
    `findAndInit` in class `OMComponentPanel`

### findAndUndo

    public void findAndUndo(java.lang.Object obj)

  Specified by:
    `findAndUndo` in interface `LightMapHandlerChild`
  Overrides:
    `findAndUndo` in class `OMComponentPanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details